.header {
    color: $white;
    background: $purple;
    position: relative;

    &__main {
        z-index: 100;
        position: relative;
        padding: rem(20) 0;
    }

    &__wrap {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        z-index: 100;
        display: block;
        flex-shrink: 0;
        position: relative;
    }

    &__links {
        display: flex;
        align-items: center;
    }

    &__lng {
        color: $white;
        width: rem(50);
        height: rem(24);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        border-radius: rem(9);
        text-align: center;
        align-items: center;
        display: inline-flex;
        justify-content: center;
        background: #8A6DE3;
        text-decoration: none;
        letter-spacing: 0.06rem;
        margin-left: rem(30);
        transition: .3s;

        &:hover {
            color: $white;
            background: #9477EC;
            text-decoration: none;
            transition: .3s;
        }

        &:active {
            background: #8162E1;
        }
    }

    &__link {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: $white;
        cursor: pointer;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        display: inline-block;
        text-decoration: none;
        background: transparent;
        letter-spacing: 0.06em;
        border-bottom: 1px solid transparent;
        transition: .3s;

        &:hover {
            color: $white;
            text-decoration: none;
            border-bottom-color: $white;
            transition: .3s;
        }
    }

    &__image {
        z-index: 1;
        margin: 0 auto;
        position: relative;
        max-width: rem(400);
    }

    &__nav {
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 900;
        width: rem(280);
        position: fixed;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        background: #8A6DE3;
        padding: rem(40) rem(20);
        transform: translateX(300px);
        letter-spacing: 0.06rem;
        transition: .3s;

        &__item {
            margin-bottom: rem(20);
        }

        &__link {
            color: $white;
            display: inline-block;
            text-decoration: none;
            border-bottom: 1px solid transparent;
            transition: .3s;

            &.active,
            &:hover {
                color: $white;
                text-decoration: none;
                border-bottom-color: $white;
                transition: .3s;
            }
        }
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 50;
        position: fixed;
        background: rgba(0,0,0,0.4);
        backdrop-filter: blur(3px);
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    @include media-breakpoint-up(md) {
        height: rem(410);

        &__image {
            bottom: 0;
            left: calc(50% - 300px);
            width: 600px;
            max-width: inherit;
            position: absolute;
        }
    }

    @include media-breakpoint-up(lg) {
        height: rem(578);

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }

        &__nav {
            padding: 0;
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            width: auto;
            position: relative;
            display: flex;
            align-items: center;
            background: transparent;
            transform: translateX(0);

            &__item {
                margin: 0 rem(32) 0 0;
            }
        }

        &__image {
            left: calc(50% - 450px);
            width: 901px;
        }

        &__main {
            padding: rem(24) 0;
        }
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: 20px;
    height: 20px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        width: 20px;
        height: 4px;
        content: '';
        border-radius: 2px;
        background: $white;
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
    }

    span {
        top: calc(50% - 2px);
    }

    &:after {
        top: 0;
    }

    &:before {
        top: calc(100% - 4px);
    }

    &.hamburger--open {

    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(8px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-8px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }
}
